%define destdir /usr/local/dcmtk/%{version}
%define modulesdestination /usr/local/share/Modules/modulefiles/dcmtk

Name: dcmtk354
Summary: Offis DICOM Toolkit (DCMTK)
Version: 3.5.4
Release: 2%{?dist}
License: BSD(ish)
Group: Applications/Multimedia
Source: dcmtk-%{version}.tar.gz
Patch1: dcmtk-3.5.4_shared.patch
Patch2: dcmtk-3.5.4_tlslayer2.patch
URL: http://dicom.offis.de/dcmtk.php.en
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Packager: Andy Loening <loening at alum dot mit dot edu>
BuildRequires: openssl-devel libtiff-devel libpng-devel libxml2-devel libjpeg-devel zlib-devel
%if 0%{?rhel} > 5
BuildRequires: tcp_wrappers-devel
%else
BuildRequires: tcp_wrappers
%endif
Requires: environment-modules

%description
DCMTK is a collection of libraries and applications implementing large parts 
the DICOM standard. It includes software for examining, constructing and 
converting DICOM image files, handling offline media, sending and receiving 
images over a network connection, as well as demonstrative image storage 
and worklist servers. DCMTK is is written in a mixture of ANSI C and C++. 
It comes in complete source code and is made available as "open source" 
software.

Install DCMTK if you are working with DICOM format medical image files.

%package devel
Summary: Development Libraries and Headers for dcmtk
Group: Development/Libraries
Requires: libtiff-devel, zlib-devel, openssl-devel
Requires: %{name} = %{version}-%{release}

%description devel
Development Libraries and Headers for dcmtk.  You only need to install
this if you are developing programs that use the dcmtk libraries.


%prep
%setup -q -n dcmtk-%{version}
%patch1 -p1
%patch2 -p1 

%build
%configure --prefix=%{destdir} --exec-prefix=%{destdir} --bindir=%{destdir}/bin \
	   --sysconfdir=%{destdir}/etc --datadir=%{destdir}/share \
	   --mandir=%{destdir}/share/man --libdir=%{destdir}/%{_lib} \
	   --includedir=%{destdir}/include
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT
#mv $RPM_BUILD_ROOT/etc $RPM_BUILD_ROOT/usr/etc
#mkdir $RPM_BUILD_ROOT/usr/share/dcmtk
#mv $RPM_BUILD_ROOT/usr/%{_lib}/dicom.dic $RPM_BUILD_ROOT/usr/share/dcmtk/

mkdir -p $RPM_BUILD_ROOT%{modulesdestination}
cat > $RPM_BUILD_ROOT%{modulesdestination}/%{version} <<ENDMODULE
#%Module1.0#####################################################################
##
## Offis DICOM Toolkit (DCMTK) Module
##
proc ModulesHelp { } {
        global version

        puts stderr "\tThis module sets appropriate paths for using Offis DICOM Toolkit (DCMTK) %{version}"
        puts stderr "\t"
        puts stderr "\n\tVersion \$version\n"
}

module-whatis   "Loads settings for Offis DICOM Toolkit (DCMTK) %{version}"
prepend-path    PATH                    %{destdir}/bin
prepend-path    LD_LIBRARY_PATH		%{destdir}/%{_lib}
prepend-path    LIBRARY_PATH		%{destdir}/%{_lib}
prepend-path    MANPATH			%{destdir}/share/man
prepend-path    CPATH			%{destdir}/include

set     version      "3.2.3"
ENDMODULE


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README
%{destdir}/bin
%{destdir}/%{_lib}
%{destdir}/etc
%{destdir}/share
%dir %{modulesdestination}
%{modulesdestination}/%{version}

%files devel
%defattr(-,root,root)
%{destdir}/include

%changelog
* Sat Jan 02 2010 Andy Loening <loening@ alum dot mit dot edu> -3.54-2
- tlslayer.cc patch for openssl 1.0 

* Thu Feb 02 2006 Andy Loening <loening @ alum dot mit dot edu> - 3.54-1
- initial build


